.pricing-section{
  background-image: url("../img/base3.png");
  background-size: 100%;
  width: 100%;
  margin: 0 auto;
  @include flex-center;
  &--wrapper{
    padding: 90px 10px;
    width: 100%;
    max-width: 1200px;
  }
  &__title{
    @include titleFontStyle(28px, 42px, $text-on-dark-background);
    text-align: center;
    padding-bottom: 32px;
  }
  &__block-wrap{
    width: 100%;
    padding-bottom: 90px;
    display: grid;
    justify-content: center;
    grid-template-columns: 1fr;
    justify-items: center;
    gap: 2%;
    &__grid-block{
      width: 100%;
      display: flex;
      justify-content: center;
    }
    &__block {
      max-width: 257px;
      width: 100%;
      height: auto;
      background-color: $pricing-background-light;
      align-items: center;
      text-align: center;
      padding-bottom: 37px;
      &__block-name {
        @include pricingFontStyle(24px, 24px);
        padding: 36px 0;
        text-align: center;
        background-color: rgba(255, 255, 255, 0.06);
        &--darker{
          background-color: rgba(0, 0, 0, 0.11);
          padding: 43px 0;
        }
      }
      &__price {
        @include titleFontStyle(60px, 62px, $text-on-dark-background);
        padding-top: 30px;
        padding-bottom: 20px;
        &>span{
          font-weight: 400;
        }
        &--darker{
          @include text-properties(82px, 84px);
        }
      }
      &__price-comment{
        @include pricingFontStyle(14px, 16px);
        position: relative;
        padding-bottom: 73px;
        &:after{
          content: "";
          display: block;
          border: 2px solid $main-color-light;
          width: 60px;
          position: absolute;
          bottom: 38px;
          left: 39%;
        }
        &--darker{
          @include pricingFontStyle(14px, 16px);
          padding-bottom: 91px;
        }
      }
      &__description{
        @include pricingFontStyle(16px, 28px);
        text-transform: capitalize;
        padding-bottom: 40px;
        &--frst-block{
          padding-bottom: 68px;
        }
        &--darker{
          line-height: 32px;
          padding-bottom: 80px;
        }
      }
      &__btn{
        @include flex-center;
        & >a{
          border-radius: 30px;
          background-color: $pricing-btn-clr;
          padding: 15px 38px;
          @include pricingFontStyle(15px, 16px);
        }
        &--darker{
          & a{
            @include text-properties(16px, 18px);
            padding: 19px 48px;
          }
        }
      }
      &--darker{
        padding-bottom: 47px;
        max-width: 299px;
        background-color: $pricing-background-dark;
      }
    }
  }
}
@media (min-width: 481px) {
  .pricing-section{
    background-image: url("../img/Layer 2.png");
    &__title{
      @include text-properties(42px, 44px);
      padding-bottom: 39px;
    }
    &__block-wrap{
      grid-template-columns: repeat(2, 1fr);
      justify-items: end;
      align-items: center;
      padding-bottom: 0;
      &__grid-block{
        justify-content: flex-end;
        &:nth-of-type(2), &:nth-of-type(4){
          justify-content: flex-start;
        }
      }
    }
  }
}

@media (min-width: 993px) {
  .pricing-section {
    background-image: url("../img/Layer 2 1.png");
    &__title {
      @include text-properties(48px, 50px);
      padding-bottom: 61px;
    }

    &__block-wrap {
      grid-template-columns: 1fr 1fr 1.17fr 1fr;
      &__grid-block {
        justify-content: space-between;
      }
    }
  }
}